# PetscLogMPEBegin

Turns on MPE logging of events. This creates large log files and slows the program down.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscLogMPEBegin(void)

Collective over PETSC_COMM_WORLD

### Options Database Keys

-log_mpe -Prints extensive log information (for code compiled with PETSC_USE_LOG)

### Notes

A related routine is PetscLogBegin (with the options key -log), which is intended for production runs since it logs only flop rates and object creation (and should not significantly slow the programs).

### See Also

PetscLogDump(), PetscLogBegin(), PetscLogAllBegin(), PetscLogEventActivate(),
PetscLogEventDeactivate()

Level:advanced
Location: src/sys/plog/plogmpe.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages